Skip to main content
GET
/
v1
/
connector-instances
/
{connectorInstanceId}
/
access
List connector instance access grants
curl --request GET \
  --url https://api.openworklabs.com/v1/connector-instances/{connectorInstanceId}/access
{
  "items": [
    {
      "id": "<string>",
      "orgMembershipId": "<string>",
      "teamId": "<string>",
      "orgWide": true,
      "role": "viewer",
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "removedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Path Parameters

connectorInstanceId
string<typeid>
required

Den TypeID with 'cin_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cin_.*

Response

Connector instance access grants returned successfully.

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 255